Help us shape the future of Go! Take the 2026 Go Developer Survey

clusters

package
v0.6.1 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Oct 25, 2018 License: Apache-2.0 Imports: 10 Imported by: 0

Documentation

Index

Constants

This section is empty.

Variables

This section is empty.

Functions

This section is empty.

Types

type ClustersItems0

type ClustersItems0 struct {

	/* URL for the cluster information page in oshinko-rest

	Required: true
	*/
	Href *string `json:"href"`

	/* URL to the spark master

	Required: true
	*/
	MasterURL *string `json:"masterUrl"`

	/* URL to the spark master web UI

	Required: true
	*/
	MasterWebURL *string `json:"masterWebUrl"`

	/* Name of the cluster

	Required: true
	*/
	Name *string `json:"name"`

	/* Current state of the cluster

	Required: true
	*/
	Status *string `json:"status"`

	/* Number of worker nodes in the cluster

	Required: true
	*/
	WorkerCount *int64 `json:"workerCount"`
}

ClustersItems0 clusters items0

swagger:model ClustersItems0

func (*ClustersItems0) Validate

func (o *ClustersItems0) Validate(formats strfmt.Registry) error

Validate validates this clusters items0

type CreateCluster

type CreateCluster struct {
	Context *middleware.Context
	Handler CreateClusterHandler
}

CreateCluster swagger:route POST /clusters clusters createCluster

Create a new cluster

func NewCreateCluster

func NewCreateCluster(ctx *middleware.Context, handler CreateClusterHandler) *CreateCluster

NewCreateCluster creates a new http.Handler for the create cluster operation

func (*CreateCluster) ServeHTTP

func (o *CreateCluster) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type CreateClusterCreated

type CreateClusterCreated struct {
	/*URL of the cluster detail page within the oshinko rest server
	  Required: true
	*/
	Location string `json:"Location"`

	// In: body
	Payload *models.SingleCluster `json:"body,omitempty"`
}

CreateClusterCreated Cluster create response

swagger:response createClusterCreated

func NewCreateClusterCreated

func NewCreateClusterCreated() *CreateClusterCreated

NewCreateClusterCreated creates CreateClusterCreated with default headers values

func (*CreateClusterCreated) SetLocation

func (o *CreateClusterCreated) SetLocation(location string)

SetLocation sets the location to the create cluster created response

func (*CreateClusterCreated) SetPayload

func (o *CreateClusterCreated) SetPayload(payload *models.SingleCluster)

SetPayload sets the payload to the create cluster created response

func (*CreateClusterCreated) WithLocation

func (o *CreateClusterCreated) WithLocation(location string) *CreateClusterCreated

WithLocation adds the location to the create cluster created response

func (*CreateClusterCreated) WithPayload

WithPayload adds the payload to the create cluster created response

func (*CreateClusterCreated) WriteResponse

func (o *CreateClusterCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type CreateClusterDefault

type CreateClusterDefault struct {

	// In: body
	Payload *models.ErrorResponse `json:"body,omitempty"`
	// contains filtered or unexported fields
}

CreateClusterDefault Unexpected error

swagger:response createClusterDefault

func NewCreateClusterDefault

func NewCreateClusterDefault(code int) *CreateClusterDefault

NewCreateClusterDefault creates CreateClusterDefault with default headers values

func (*CreateClusterDefault) SetPayload

func (o *CreateClusterDefault) SetPayload(payload *models.ErrorResponse)

SetPayload sets the payload to the create cluster default response

func (*CreateClusterDefault) SetStatusCode

func (o *CreateClusterDefault) SetStatusCode(code int)

SetStatusCode sets the status to the create cluster default response

func (*CreateClusterDefault) WithPayload

WithPayload adds the payload to the create cluster default response

func (*CreateClusterDefault) WithStatusCode

func (o *CreateClusterDefault) WithStatusCode(code int) *CreateClusterDefault

WithStatusCode adds the status to the create cluster default response

func (*CreateClusterDefault) WriteResponse

func (o *CreateClusterDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type CreateClusterHandler

type CreateClusterHandler interface {
	Handle(CreateClusterParams) middleware.Responder
}

CreateClusterHandler interface for that can handle valid create cluster params

type CreateClusterHandlerFunc

type CreateClusterHandlerFunc func(CreateClusterParams) middleware.Responder

CreateClusterHandlerFunc turns a function with the right signature into a create cluster handler

func (CreateClusterHandlerFunc) Handle

Handle executing the request and returning a response

type CreateClusterParams

type CreateClusterParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*Cluster to create
	  Required: true
	  In: body
	*/
	Cluster *models.NewCluster
}

CreateClusterParams contains all the bound params for the create cluster operation typically these are obtained from a http.Request

swagger:parameters createCluster

func NewCreateClusterParams

func NewCreateClusterParams() CreateClusterParams

NewCreateClusterParams creates a new CreateClusterParams object with the default values initialized.

func (*CreateClusterParams) BindRequest

func (o *CreateClusterParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type DeleteSingleCluster

type DeleteSingleCluster struct {
	Context *middleware.Context
	Handler DeleteSingleClusterHandler
}

DeleteSingleCluster swagger:route DELETE /clusters/{name} clusters deleteSingleCluster

Delete the specified cluster

func NewDeleteSingleCluster

func NewDeleteSingleCluster(ctx *middleware.Context, handler DeleteSingleClusterHandler) *DeleteSingleCluster

NewDeleteSingleCluster creates a new http.Handler for the delete single cluster operation

func (*DeleteSingleCluster) ServeHTTP

func (o *DeleteSingleCluster) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type DeleteSingleClusterDefault

type DeleteSingleClusterDefault struct {

	// In: body
	Payload *models.ErrorResponse `json:"body,omitempty"`
	// contains filtered or unexported fields
}

DeleteSingleClusterDefault Unexpected error

swagger:response deleteSingleClusterDefault

func NewDeleteSingleClusterDefault

func NewDeleteSingleClusterDefault(code int) *DeleteSingleClusterDefault

NewDeleteSingleClusterDefault creates DeleteSingleClusterDefault with default headers values

func (*DeleteSingleClusterDefault) SetPayload

func (o *DeleteSingleClusterDefault) SetPayload(payload *models.ErrorResponse)

SetPayload sets the payload to the delete single cluster default response

func (*DeleteSingleClusterDefault) SetStatusCode

func (o *DeleteSingleClusterDefault) SetStatusCode(code int)

SetStatusCode sets the status to the delete single cluster default response

func (*DeleteSingleClusterDefault) WithPayload

WithPayload adds the payload to the delete single cluster default response

func (*DeleteSingleClusterDefault) WithStatusCode

WithStatusCode adds the status to the delete single cluster default response

func (*DeleteSingleClusterDefault) WriteResponse

func (o *DeleteSingleClusterDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteSingleClusterHandler

type DeleteSingleClusterHandler interface {
	Handle(DeleteSingleClusterParams) middleware.Responder
}

DeleteSingleClusterHandler interface for that can handle valid delete single cluster params

type DeleteSingleClusterHandlerFunc

type DeleteSingleClusterHandlerFunc func(DeleteSingleClusterParams) middleware.Responder

DeleteSingleClusterHandlerFunc turns a function with the right signature into a delete single cluster handler

func (DeleteSingleClusterHandlerFunc) Handle

Handle executing the request and returning a response

type DeleteSingleClusterNoContent

type DeleteSingleClusterNoContent struct {
}

DeleteSingleClusterNoContent Cluster deletion response

swagger:response deleteSingleClusterNoContent

func NewDeleteSingleClusterNoContent

func NewDeleteSingleClusterNoContent() *DeleteSingleClusterNoContent

NewDeleteSingleClusterNoContent creates DeleteSingleClusterNoContent with default headers values

func (*DeleteSingleClusterNoContent) WriteResponse

func (o *DeleteSingleClusterNoContent) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteSingleClusterParams

type DeleteSingleClusterParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*Name of the cluster
	  Required: true
	  In: path
	*/
	Name string
}

DeleteSingleClusterParams contains all the bound params for the delete single cluster operation typically these are obtained from a http.Request

swagger:parameters deleteSingleCluster

func NewDeleteSingleClusterParams

func NewDeleteSingleClusterParams() DeleteSingleClusterParams

NewDeleteSingleClusterParams creates a new DeleteSingleClusterParams object with the default values initialized.

func (*DeleteSingleClusterParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type FindClusters

type FindClusters struct {
	Context *middleware.Context
	Handler FindClustersHandler
}

FindClusters swagger:route GET /clusters clusters findClusters

Returns all clusters that the user is able to access

func NewFindClusters

func NewFindClusters(ctx *middleware.Context, handler FindClustersHandler) *FindClusters

NewFindClusters creates a new http.Handler for the find clusters operation

func (*FindClusters) ServeHTTP

func (o *FindClusters) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type FindClustersDefault

type FindClustersDefault struct {

	// In: body
	Payload *models.ErrorResponse `json:"body,omitempty"`
	// contains filtered or unexported fields
}

FindClustersDefault Unexpected error

swagger:response findClustersDefault

func NewFindClustersDefault

func NewFindClustersDefault(code int) *FindClustersDefault

NewFindClustersDefault creates FindClustersDefault with default headers values

func (*FindClustersDefault) SetPayload

func (o *FindClustersDefault) SetPayload(payload *models.ErrorResponse)

SetPayload sets the payload to the find clusters default response

func (*FindClustersDefault) SetStatusCode

func (o *FindClustersDefault) SetStatusCode(code int)

SetStatusCode sets the status to the find clusters default response

func (*FindClustersDefault) WithPayload

func (o *FindClustersDefault) WithPayload(payload *models.ErrorResponse) *FindClustersDefault

WithPayload adds the payload to the find clusters default response

func (*FindClustersDefault) WithStatusCode

func (o *FindClustersDefault) WithStatusCode(code int) *FindClustersDefault

WithStatusCode adds the status to the find clusters default response

func (*FindClustersDefault) WriteResponse

func (o *FindClustersDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type FindClustersHandler

type FindClustersHandler interface {
	Handle(FindClustersParams) middleware.Responder
}

FindClustersHandler interface for that can handle valid find clusters params

type FindClustersHandlerFunc

type FindClustersHandlerFunc func(FindClustersParams) middleware.Responder

FindClustersHandlerFunc turns a function with the right signature into a find clusters handler

func (FindClustersHandlerFunc) Handle

Handle executing the request and returning a response

type FindClustersOK

type FindClustersOK struct {

	// In: body
	Payload FindClustersOKBodyBody `json:"body,omitempty"`
}

FindClustersOK Clusters response

swagger:response findClustersOK

func NewFindClustersOK

func NewFindClustersOK() *FindClustersOK

NewFindClustersOK creates FindClustersOK with default headers values

func (*FindClustersOK) SetPayload

func (o *FindClustersOK) SetPayload(payload FindClustersOKBodyBody)

SetPayload sets the payload to the find clusters o k response

func (*FindClustersOK) WithPayload

func (o *FindClustersOK) WithPayload(payload FindClustersOKBodyBody) *FindClustersOK

WithPayload adds the payload to the find clusters o k response

func (*FindClustersOK) WriteResponse

func (o *FindClustersOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type FindClustersOKBodyBody

type FindClustersOKBodyBody struct {

	/* clusters

	Required: true
	*/
	Clusters []*ClustersItems0 `json:"clusters"`
}

FindClustersOKBodyBody find clusters o k body body

swagger:model FindClustersOKBodyBody

func (*FindClustersOKBodyBody) Validate

func (o *FindClustersOKBodyBody) Validate(formats strfmt.Registry) error

Validate validates this find clusters o k body body

type FindClustersParams

type FindClustersParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request
}

FindClustersParams contains all the bound params for the find clusters operation typically these are obtained from a http.Request

swagger:parameters findClusters

func NewFindClustersParams

func NewFindClustersParams() FindClustersParams

NewFindClustersParams creates a new FindClustersParams object with the default values initialized.

func (*FindClustersParams) BindRequest

func (o *FindClustersParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type FindSingleCluster

type FindSingleCluster struct {
	Context *middleware.Context
	Handler FindSingleClusterHandler
}

FindSingleCluster swagger:route GET /clusters/{name} clusters findSingleCluster

Return detailed information about a single cluster

func NewFindSingleCluster

func NewFindSingleCluster(ctx *middleware.Context, handler FindSingleClusterHandler) *FindSingleCluster

NewFindSingleCluster creates a new http.Handler for the find single cluster operation

func (*FindSingleCluster) ServeHTTP

func (o *FindSingleCluster) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type FindSingleClusterDefault

type FindSingleClusterDefault struct {

	// In: body
	Payload *models.ErrorResponse `json:"body,omitempty"`
	// contains filtered or unexported fields
}

FindSingleClusterDefault Unexpected error

swagger:response findSingleClusterDefault

func NewFindSingleClusterDefault

func NewFindSingleClusterDefault(code int) *FindSingleClusterDefault

NewFindSingleClusterDefault creates FindSingleClusterDefault with default headers values

func (*FindSingleClusterDefault) SetPayload

func (o *FindSingleClusterDefault) SetPayload(payload *models.ErrorResponse)

SetPayload sets the payload to the find single cluster default response

func (*FindSingleClusterDefault) SetStatusCode

func (o *FindSingleClusterDefault) SetStatusCode(code int)

SetStatusCode sets the status to the find single cluster default response

func (*FindSingleClusterDefault) WithPayload

WithPayload adds the payload to the find single cluster default response

func (*FindSingleClusterDefault) WithStatusCode

func (o *FindSingleClusterDefault) WithStatusCode(code int) *FindSingleClusterDefault

WithStatusCode adds the status to the find single cluster default response

func (*FindSingleClusterDefault) WriteResponse

func (o *FindSingleClusterDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type FindSingleClusterHandler

type FindSingleClusterHandler interface {
	Handle(FindSingleClusterParams) middleware.Responder
}

FindSingleClusterHandler interface for that can handle valid find single cluster params

type FindSingleClusterHandlerFunc

type FindSingleClusterHandlerFunc func(FindSingleClusterParams) middleware.Responder

FindSingleClusterHandlerFunc turns a function with the right signature into a find single cluster handler

func (FindSingleClusterHandlerFunc) Handle

Handle executing the request and returning a response

type FindSingleClusterOK

type FindSingleClusterOK struct {

	// In: body
	Payload *models.SingleCluster `json:"body,omitempty"`
}

FindSingleClusterOK Cluster detail response

swagger:response findSingleClusterOK

func NewFindSingleClusterOK

func NewFindSingleClusterOK() *FindSingleClusterOK

NewFindSingleClusterOK creates FindSingleClusterOK with default headers values

func (*FindSingleClusterOK) SetPayload

func (o *FindSingleClusterOK) SetPayload(payload *models.SingleCluster)

SetPayload sets the payload to the find single cluster o k response

func (*FindSingleClusterOK) WithPayload

func (o *FindSingleClusterOK) WithPayload(payload *models.SingleCluster) *FindSingleClusterOK

WithPayload adds the payload to the find single cluster o k response

func (*FindSingleClusterOK) WriteResponse

func (o *FindSingleClusterOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type FindSingleClusterParams

type FindSingleClusterParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*Name of the cluster
	  Required: true
	  In: path
	*/
	Name string
}

FindSingleClusterParams contains all the bound params for the find single cluster operation typically these are obtained from a http.Request

swagger:parameters findSingleCluster

func NewFindSingleClusterParams

func NewFindSingleClusterParams() FindSingleClusterParams

NewFindSingleClusterParams creates a new FindSingleClusterParams object with the default values initialized.

func (*FindSingleClusterParams) BindRequest

func (o *FindSingleClusterParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type UpdateSingleCluster

type UpdateSingleCluster struct {
	Context *middleware.Context
	Handler UpdateSingleClusterHandler
}

UpdateSingleCluster swagger:route PUT /clusters/{name} clusters updateSingleCluster

Update the specified cluster

func NewUpdateSingleCluster

func NewUpdateSingleCluster(ctx *middleware.Context, handler UpdateSingleClusterHandler) *UpdateSingleCluster

NewUpdateSingleCluster creates a new http.Handler for the update single cluster operation

func (*UpdateSingleCluster) ServeHTTP

func (o *UpdateSingleCluster) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type UpdateSingleClusterAccepted

type UpdateSingleClusterAccepted struct {

	// In: body
	Payload *models.SingleCluster `json:"body,omitempty"`
}

UpdateSingleClusterAccepted Cluster update response

swagger:response updateSingleClusterAccepted

func NewUpdateSingleClusterAccepted

func NewUpdateSingleClusterAccepted() *UpdateSingleClusterAccepted

NewUpdateSingleClusterAccepted creates UpdateSingleClusterAccepted with default headers values

func (*UpdateSingleClusterAccepted) SetPayload

func (o *UpdateSingleClusterAccepted) SetPayload(payload *models.SingleCluster)

SetPayload sets the payload to the update single cluster accepted response

func (*UpdateSingleClusterAccepted) WithPayload

WithPayload adds the payload to the update single cluster accepted response

func (*UpdateSingleClusterAccepted) WriteResponse

func (o *UpdateSingleClusterAccepted) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type UpdateSingleClusterDefault

type UpdateSingleClusterDefault struct {

	// In: body
	Payload *models.ErrorResponse `json:"body,omitempty"`
	// contains filtered or unexported fields
}

UpdateSingleClusterDefault Unexpected error

swagger:response updateSingleClusterDefault

func NewUpdateSingleClusterDefault

func NewUpdateSingleClusterDefault(code int) *UpdateSingleClusterDefault

NewUpdateSingleClusterDefault creates UpdateSingleClusterDefault with default headers values

func (*UpdateSingleClusterDefault) SetPayload

func (o *UpdateSingleClusterDefault) SetPayload(payload *models.ErrorResponse)

SetPayload sets the payload to the update single cluster default response

func (*UpdateSingleClusterDefault) SetStatusCode

func (o *UpdateSingleClusterDefault) SetStatusCode(code int)

SetStatusCode sets the status to the update single cluster default response

func (*UpdateSingleClusterDefault) WithPayload

WithPayload adds the payload to the update single cluster default response

func (*UpdateSingleClusterDefault) WithStatusCode

WithStatusCode adds the status to the update single cluster default response

func (*UpdateSingleClusterDefault) WriteResponse

func (o *UpdateSingleClusterDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type UpdateSingleClusterHandler

type UpdateSingleClusterHandler interface {
	Handle(UpdateSingleClusterParams) middleware.Responder
}

UpdateSingleClusterHandler interface for that can handle valid update single cluster params

type UpdateSingleClusterHandlerFunc

type UpdateSingleClusterHandlerFunc func(UpdateSingleClusterParams) middleware.Responder

UpdateSingleClusterHandlerFunc turns a function with the right signature into a update single cluster handler

func (UpdateSingleClusterHandlerFunc) Handle

Handle executing the request and returning a response

type UpdateSingleClusterParams

type UpdateSingleClusterParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*Requested cluster update
	  Required: true
	  In: body
	*/
	Cluster *models.NewCluster
	/*Name of the cluster
	  Required: true
	  In: path
	*/
	Name string
}

UpdateSingleClusterParams contains all the bound params for the update single cluster operation typically these are obtained from a http.Request

swagger:parameters updateSingleCluster

func NewUpdateSingleClusterParams

func NewUpdateSingleClusterParams() UpdateSingleClusterParams

NewUpdateSingleClusterParams creates a new UpdateSingleClusterParams object with the default values initialized.

func (*UpdateSingleClusterParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL